PBESREWR(1)

NAME
pbesrewr - rewrite and simplify a PBES

SYNOPSIS
pbesrewr [OPTION]... [INFILE [OUTFILE]]

DESCRIPTION
Rewrite the PBES in INFILE, remove quantified variables and write the resulting PBES to OUTFILE. If INFILE is not present, stdin is used. If OUTFILE is not present, stdout is used.

OPTIONS

OPTION can be any of the following:

-iFORMAT, --in=FORMAT
    use input format FORMAT: 'pbes' PBES in internal format 'pbes_text' PBES in internal textual format 'text' PBES in textual (mCRL2) format 'bes' BES in internal format 'bes_text' BES in internal textual format 'cwi' BES in CWI format 'pgsolver' BES in PGSolver format

-oFORMAT, --out=FORMAT
    use output format FORMAT: 'pbes' PBES in internal format 'pbes_text' PBES in internal textual format 'text' PBES in textual (mCRL2) format

-pNAME, --pbes-rewriter=NAME
    use pbes rewrite strategy NAME: 'simplify' for simplification (default) 'quantifier-all' for eliminating all quantifiers 'quantifier-finite' for eliminating finite quantifier variables 'quantifier-one-point' for one point rule quantifier elimination 'pfnf' for rewriting into PFNF normal form 'ppg' for rewriting into Parameterised Parity Game form 'bqnf-quantifier' for rewriting quantifiers over conjuncts to conjuncts of quantifiers (experimental)

-QNUM, --qlimit=NUM
    limit enumeration of quantifiers to NUM variables. (Default NUM=1000, NUM=0 for unlimited).

-rNAME, --rewriter=NAME
    use rewrite strategy NAME: 'jitty' jitty rewriting (default) 'jittyc' compiled jitty rewriting 'jittyp' jitty rewriting with prover

--timings[=FILE]
    append timing measurements to FILE. Measurements are written to standard error if no FILE is provided

Standard options:

-q, --quiet
    do not display warning messages

-v, --verbose
    display short intermediate messages

-d, --debug
    display detailed intermediate messages

--log-level=LEVEL
    display intermediate messages up to and including level

-h, --help
    display help information

--version
    display version information

AUTHOR
Written by Jan Friso Groote and Wieger Wesselink.

REPORTING BUGS
Report bugs at <http://www.mcrl2.org/issuetracker>.

COPYRIGHT
Copyright © 2014 Technische Universiteit Eindhoven.
This is free software. You may redistribute copies of it under the terms of the Boost Software License <http://www.boost.org/LICENSE_1_0.txt>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
See also the manual at <http://www.mcrl2.org/release/user_manual/tools/pbesrewr.html>.